<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
if ($acces == 1) {
if($admintest && $adminsecu)  {

    $name   = stripslashes($add_name);
    $ipfixe = stripslashes($add_ipfixe);
    $host   = stripslashes($add_host);
    if ($name == ""){ redirect_url("".$admin_file.".php?op=nsnsecureadmin"); die();
    } else {
    $result = $db->sql_query("insert into `".TABLE_NSNSECUREADMIN."` values (NULL, '$add_name','$add_ipfixe','$add_host')");
    if (!$result) {
	exit();
    }
    redirect_url("".$admin_file.".php?op=nsnsecureadmin");
    }


}
} else {
	echo "Access Denied";
}